# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`oxidized`](#oxidized): Manage Oxidized

#### Private Classes

* `oxidized::config`: Manage oxidized configs
* `oxidized::install`: Manage oxidized packages
* `oxidized::repo`: Manage repos needed for oxidized
* `oxidized::service`: Manage oxidized service
* `oxidized::user`: Manage Oxidzed user

### Defined types

* [`oxidized::model`](#oxidizedmodel): Manage oxidized models

## Classes

### <a name="oxidized"></a>`oxidized`

Manage Oxidized

#### Examples

##### 

```puppet
include oxidized
```

#### Parameters

The following parameters are available in the `oxidized` class:

* [`manage_repo`](#manage_repo)
* [`ruby_dependencies`](#ruby_dependencies)
* [`install_dependencies`](#install_dependencies)
* [`with_web`](#with_web)
* [`package_ensure`](#package_ensure)
* [`script_package_ensure`](#script_package_ensure)
* [`web_package_ensure`](#web_package_ensure)
* [`user`](#user)
* [`user_group`](#user_group)
* [`user_uid`](#user_uid)
* [`user_group_gid`](#user_group_gid)
* [`user_home`](#user_home)
* [`user_home_mode`](#user_home_mode)
* [`config`](#config)
* [`config_mode`](#config_mode)
* [`source_type`](#source_type)
* [`devices`](#devices)
* [`devices_map`](#devices_map)
* [`devices_vars_map`](#devices_vars_map)
* [`with_service`](#with_service)
* [`service_start`](#service_start)
* [`show_diff`](#show_diff)
* [`log`](#log)
* [`log_mode`](#log_mode)
* [`models`](#models)

##### <a name="manage_repo"></a>`manage_repo`

Data type: `Boolean`

Sets if repos needed for oxidize are managed.

Default value: ``true``

##### <a name="ruby_dependencies"></a>`ruby_dependencies`

Data type: `Array`

Ruby dependencies

Default value: `[]`

##### <a name="install_dependencies"></a>`install_dependencies`

Data type: `Array`

Additional install dependencies

Default value: `[]`

##### <a name="with_web"></a>`with_web`

Data type: `Boolean`

Sets if the oxidized web should be installed and configured

Default value: ``false``

##### <a name="package_ensure"></a>`package_ensure`

Data type: `String`

Ensure value for main oxidized package

Default value: `'installed'`

##### <a name="script_package_ensure"></a>`script_package_ensure`

Data type: `String`

Ensure value for oxidized-script package

Default value: `'installed'`

##### <a name="web_package_ensure"></a>`web_package_ensure`

Data type: `Optional[String]`

Ensure value for oxidized web package
Defaults to `installed` when `with_web` is `true`

Default value: ``undef``

##### <a name="user"></a>`user`

Data type: `String`

Oxidize user

Default value: `'oxidized'`

##### <a name="user_group"></a>`user_group`

Data type: `String`

Oxidize user's group

Default value: `'oxidized'`

##### <a name="user_uid"></a>`user_uid`

Data type: `Optional[Integer]`

Oxidize user's UID

Default value: ``undef``

##### <a name="user_group_gid"></a>`user_group_gid`

Data type: `Optional[Integer]`

Oxidize user's group GID

Default value: ``undef``

##### <a name="user_home"></a>`user_home`

Data type: `Stdlib::Absolutepath`

Oxidize user's home directory path

Default value: `'/home/oxidized'`

##### <a name="user_home_mode"></a>`user_home_mode`

Data type: `Stdlib::FileMode`

The permissions of oxidized user's home directory

Default value: `'0700'`

##### <a name="config"></a>`config`

Data type: `Hash`

Oxidize config hash

Default value: `{}`

##### <a name="config_mode"></a>`config_mode`

Data type: `Stdlib::FileMode`

Oxidized config file permission mode

Default value: `'0600'`

##### <a name="source_type"></a>`source_type`

Data type: `Enum['csv']`

Sets type of source to be used

Default value: `'csv'`

##### <a name="devices"></a>`devices`

Data type: `Array[Hash]`

Information about devices.
Only used when `source_type` is `csv`

Default value: `[]`

##### <a name="devices_map"></a>`devices_map`

Data type: `Hash[String, Integer]`

Map of CSV fields for devices
Only used when `source_type` is `csv`

Default value: `{'name' => 0, 'model' => 1}`

##### <a name="devices_vars_map"></a>`devices_vars_map`

Data type: `Optional[Hash[String, Integer]]`

Set `vars_map` for device CSV configuration
Only used when `source_type` is `csv`

Default value: ``undef``

##### <a name="with_service"></a>`with_service`

Data type: `Boolean`

Sets if the oxidized service should be installed and running

Default value: ``false``

##### <a name="service_start"></a>`service_start`

Data type: `String`

The command to use to start oxidized service

Default value: `'/usr/local/bin/oxidized'`

##### <a name="show_diff"></a>`show_diff`

Data type: `Boolean`

Boolean that sets show_diff property for files

Default value: ``true``

##### <a name="log"></a>`log`

Data type: `Optional[String]`

Path to oxidized log file

Default value: ``undef``

##### <a name="log_mode"></a>`log_mode`

Data type: `Stdlib::FileMode`

The permissions of oxidized log file

Default value: `'0644'`

##### <a name="models"></a>`models`

Data type: `Hash`

Hash of models passed to oxidized::model

Default value: `{}`

## Defined types

### <a name="oxidizedmodel"></a>`oxidized::model`

Manage oxidized models

#### Parameters

The following parameters are available in the `oxidized::model` defined type:

* [`source`](#source)

##### <a name="source"></a>`source`

Data type: `String`

Source of model

